Index: src/phasevoc.c
===================================================================
--- src/phasevoc.c	(revision aadd27aa7e4ebb2e420472b537f8231dbd4568c8)
+++ src/phasevoc.c	(revision 8b2dc90d23eeba02fc8730a77c22138ed1905f0a)
@@ -19,5 +19,6 @@
 
 #include "aubio_priv.h"
-#include "sample.h"
+#include "fvec.h"
+#include "cvec.h"
 #include "fft.h"
 #include "mathutils.h"
@@ -29,10 +30,10 @@
   uint_t hop_s;       /** overlap step */
   uint_t channels;    /** number of channels */
-  aubio_mfft_t * fft; /** spectral data */
-  fvec_t * synth;     /**cur output grain [win_s] */
-  fvec_t * synthold;  /**last input frame [win_s-hop_s] */
-  fvec_t * data;      /**current input grain [win_s] */
-  fvec_t * dataold;   /**last input frame [win_s-hop_s] */
-  smpl_t * w;          /** grain window [win_s] */
+  aubio_fft_t * fft;  /** fft object */
+  fvec_t * synth;     /** cur output grain [win_s] */
+  fvec_t * synthold;  /** last input frame [win_s-hop_s] */
+  fvec_t * data;      /** current input grain [win_s] */
+  fvec_t * dataold;   /** last input frame [win_s-hop_s] */
+  smpl_t * w;         /** grain window [win_s] */
 };
 
@@ -58,5 +59,5 @@
   vec_shift(pv->data);
   /* calculate fft */
-  aubio_mfft_do (pv->fft,pv->data,fftgrain);
+  aubio_fft_do (pv->fft,pv->data,fftgrain);
 }
 
@@ -64,5 +65,5 @@
   uint_t i;
   /* calculate rfft */
-  aubio_mfft_rdo(pv->fft,fftgrain,pv->synth);
+  aubio_fft_rdo(pv->fft,fftgrain,pv->synth);
   /* unshift */
   vec_shift(pv->synth);
@@ -88,5 +89,5 @@
   }
 
-  pv->fft      = new_aubio_mfft(win_s,channels);
+  pv->fft      = new_aubio_fft(win_s,channels);
 
   /* remember old */
@@ -112,5 +113,5 @@
   del_fvec(pv->dataold);
   del_fvec(pv->synthold);
-  del_aubio_mfft(pv->fft);
+  del_aubio_fft(pv->fft);
   AUBIO_FREE(pv->w);
   AUBIO_FREE(pv);
Index: src/pitchfcomb.c
===================================================================
--- src/pitchfcomb.c	(revision aadd27aa7e4ebb2e420472b537f8231dbd4568c8)
+++ src/pitchfcomb.c	(revision 8b2dc90d23eeba02fc8730a77c22138ed1905f0a)
@@ -39,5 +39,5 @@
         cvec_t * fftOut;
         fvec_t * fftLastPhase;
-	aubio_mfft_t * fft;
+	aubio_fft_t * fft;
         //aubio_pvoc_t * pvoc;
 };
@@ -52,5 +52,5 @@
   p->fftOut       = new_cvec(bufsize,1);
   p->fftLastPhase = new_fvec(bufsize,1);
-  p->fft = new_aubio_mfft(bufsize, 1);
+  p->fft = new_aubio_fft(bufsize, 1);
   p->win = new_fvec(bufsize,1);
   aubio_window(p->win->data[0], bufsize, aubio_win_hanning);
@@ -74,5 +74,5 @@
 	  p->winput->data[0][k] = p->win->data[0][k] * input->data[0][k];
   }
-  aubio_mfft_do(p->fft,p->winput,p->fftOut);
+  aubio_fft_do(p->fft,p->winput,p->fftOut);
 
   for (k=0; k<=p->fftSize/2; k++) {
@@ -130,5 +130,5 @@
   del_fvec(p->win);
   del_fvec(p->winput);
-  del_aubio_mfft(p->fft);
+  del_aubio_fft(p->fft);
   AUBIO_FREE(p);
 }
Index: src/pitchyinfft.c
===================================================================
--- src/pitchyinfft.c	(revision aadd27aa7e4ebb2e420472b537f8231dbd4568c8)
+++ src/pitchyinfft.c	(revision 8b2dc90d23eeba02fc8730a77c22138ed1905f0a)
@@ -31,5 +31,5 @@
   fvec_t * weight;    /**< spectral weighting window (psychoacoustic model) */
   cvec_t * fftout;    /**< Fourier transform output */
-  aubio_mfft_t * fft; /**< fft object to compute square difference function */
+  aubio_fft_t * fft; /**< fft object to compute square difference function */
   fvec_t * yinfft;    /**< Yin function */
 };
@@ -49,5 +49,5 @@
   aubio_pitchyinfft_t * p = AUBIO_NEW(aubio_pitchyinfft_t);
   p->winput       = new_fvec(bufsize,1);
-  p->fft          = new_aubio_mfft(bufsize, 1);
+  p->fft          = new_aubio_fft(bufsize, 1);
   p->fftout       = new_cvec(bufsize,1);
   p->sqrmag       = new_fvec(bufsize,1);
@@ -97,5 +97,5 @@
 	  p->winput->data[0][l] = p->win->data[0][l] * input->data[0][l];
   }
-  aubio_mfft_do(p->fft,p->winput,p->fftout);
+  aubio_fft_do(p->fft,p->winput,p->fftout);
   for (l=0; l < p->fftout->length; l++){
 	  p->sqrmag->data[0][l] = SQR(p->fftout->norm[0][l]);
@@ -112,5 +112,5 @@
   }
   sum *= 2.;
-  aubio_mfft_do(p->fft,p->sqrmag,res);
+  aubio_fft_do(p->fft,p->sqrmag,res);
   yin->data[0][0] = 1.; 
   for (tau=1; tau < yin->length; tau++) {
@@ -143,5 +143,5 @@
 void del_aubio_pitchyinfft(aubio_pitchyinfft_t *p){
 	del_fvec(p->win);
-	del_aubio_mfft(p->fft);
+	del_aubio_fft(p->fft);
 	del_fvec(p->yinfft);
 	del_fvec(p->sqrmag);
